Upgrading from 1.x

This page is not yet available in JavaScript. We recommend reading it in TypeScript.